<div class="ur-dialog">
  <span mat-dialog-title>
    <mat-toolbar role="toolbar" class="task-header">
      <span class="fx-spacer"></span>
      <span> Unit Roster [{{totalUnit}}]</span>
      <span class="fx-spacer"></span>
      <button mat-icon-button (click)="CloseDialog()" class="close-btn">
        <mat-icon mat-list-icon>close</mat-icon>
      </button>
    </mat-toolbar>
  </span>
  <mat-divider></mat-divider>
  <div mat-dialog-content>
    <div fxLayout="column" fxLayoutGap="15px">
      <app-v2c-agency-site-banner></app-v2c-agency-site-banner>
      <ag-grid-angular
          #agGrid id="myGrid"
          style="width: 100%; height: calc(100vh - 300px);"
          class="ag-theme-balham my-grid"
          [columnDefs]="columnDefs"
          [defaultColDef]="defaultColDef"
          [rowData]="rowData"
          [animateRows]="true"
          [gridOptions]="gridOptions"
          [frameworkComponents]="frameworkComponents"
          (gridReady)="onGridReady($event)">
      </ag-grid-angular>
    </div>
  </div>
  <!-- <mat-divider></mat-divider>
  <div mat-dialog-actions>
    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="end">
      <button type="button" mat-raised-button color="warn" matTooltip="Close" (click)="CloseDialog()">Close</button>
    </div>
  </div> -->
</div>
